# Generated by Django 4.2.16 on 2024-11-24 14:45

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("scrobbles", "0066_scrobble_beer_alter_scrobble_media_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="FoodCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                (
                    "allrecipe_image",
                    models.ImageField(
                        blank=True, null=True, upload_to="food/recipe/"
                    ),
                ),
                (
                    "allrecipe_id",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("description", models.TextField(blank=True, null=True)),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Food",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "run_time_seconds",
                    models.IntegerField(blank=True, null=True),
                ),
                (
                    "run_time_ticks",
                    models.PositiveBigIntegerField(blank=True, null=True),
                ),
                ("description", models.TextField(blank=True, null=True)),
                (
                    "allrecipe_image",
                    models.ImageField(
                        blank=True, null=True, upload_to="food/recipe/"
                    ),
                ),
                (
                    "allrecipe_id",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("allrecipe_rating", models.FloatField(blank=True, null=True)),
                (
                    "category",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="foods.foodcategory",
                    ),
                ),
                (
                    "genre",
                    taggit.managers.TaggableManager(
                        blank=True,
                        help_text="A comma-separated list of tags.",
                        through="scrobbles.ObjectWithGenres",
                        to="scrobbles.Genre",
                        verbose_name="Tags",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
